---
name: "Feature Request"
about: Suggest a change or new feature in ggplot2
---

### Tips for a helpful feature request:

* If you have a question, please don't use this form. Instead, ask on <https://stackoverflow.com/> or <https://community.rstudio.com/>.

* See the [contributing guidelines](https://github.com/tidyverse/ggplot2/blob/main/CONTRIBUTING.md).

* ggplot2 is a mature package that is unlikely to adopt new functionality that can be covered by its extension mechanisms.
Improvements to its current functionality or to infrastructure are considered in scope for feature requests.

* Please motivate the need for change, if applicable with a **minimal reproducible** example (reprex).
If you've never heard of a reprex, please read ["Make a reprex"](https://www.tidyverse.org/help/#reprex).
Do not include session info unless it is explicitly asked for.

Delete this instructions once you've read them.

---

In situations when ...

I would like to be able to ...

```r
# copy your code to the clipboard and run:
reprex::reprex()
```
